Skip to main content

Get Webhook

POST

https://webhooks.smartsuite.com/smartsuite.webhooks.engine.Webhooks/GetWebhook

Gets a webhook.

Example Request
curl -X POST https://webhooks.smartsuite.com/smartsuite.webhooks.engine.Webhooks/GetWebhook \
-H "Authorization: Token YOUR_API_KEY" \
-H "ACCOUNT-ID: WORKSPACE_ID" \
-H "Content-Type: application/json" \
--data '{
"webhook_id": "{{webhook_id}}"
}'

Request Body​

ParamTypeOptionalDescription
webhook_idstringNoId of the webhook you want to retrieve.

Response​

Returns the webhook wrapped in a webhook object, as in the example below. An unknown webhook_id returns 404.

ParamTypeDescription
webhook_idstringWebhook Id
locatorlocator objectContains workspace and Solution information
filterfilter objectScope of the events to watch. See the filter object below.
kindsarray of stringsOne of the following types of events:

  • RECORD_CREATED
  • RECORD_UPDATED
  • RECORD_DELETED

created_atcreated_at objectCreated time information
updated_atupdated_at objectUpdated time information
notification_statusnotification_status objectWebhook notification status
system_statussystem_status objectWebhook status

locator object​

ParamTypeDescription
locator.account_idstringThe Workspace Id
locator.solution_idstringThe Solution Id
locator.application_idstringThe Table (App) Id, where applicable

filter object​

ParamTypeOptionalDescription
solutionobjectYes*Pass an empty object to filter at the Solution level
applicationsapplications filter objectYes*Object containing application (table) ids to filter by
applicationapplication fields filter objectYes*Object containing one Table (App) Id (application_id) and the fields to watch (field_ids)
Filter: Solution level - no tables/fields
"filter": {
"solution": {}
}
Filter: Table (application) level
"filter": {
"applications": {
"application_ids": ["some application id"]
}
}
Filter: Field level
"filter": {
"application": {
"application_id": "some application id",
"field_ids": [
"some field id 1",
"some field id 2"
]
}
}

created_at object​

ParamTypeDescription
bystringCreating user name
atstringISO date created

updated_at object​

ParamTypeDescription
bystringUpdating user name
atstringISO date updated

notification_status object​

ParamTypeDescription
enablednotification_enabled objectEnables webhook notifications
disabledobjectPass an empty object to turn webhook notifications off. Events are still collected and can be read with List Events.

notification_enabled object​

ParamTypeDescription
urlstringThe webhook notification URL

system_status object​

ParamTypeDescription
enabledenabled objectif exists, webhook is enabled
disableddisabled objectif exists, webhook is disabled

enabled_object object​

ParamTypeDescription
expires_atstringISO date when webhook expires

disabled_object object​

ParamTypeDescription
expires_atstringISO date when webhook will be deleted
Example Response - 200
{
"webhook": {
"webhook_id": "3c8a1835-a39a-43ba-ba9c-6fbce5581e34",
"locator": {
"account_id": "WORKSPACE_ID",
"solution_id": "641b70cb0d94c969a49983aa"
},
"filter": {
"solution": {}
},
"kinds": [
"RECORD_CREATED"
],
"created_at": {
"by": "Peter Novosel",
"at": "2023-06-20T14:26:47.192Z"
},
"updated_at": {
"by": "Peter Novosel",
"at": "2023-06-20T14:26:47.192Z"
},
"notification_status": {
"enabled": {
"url": "https://sswebhooks.requestcatcher.com/"
}
},
"system_status": {
"enabled": {
"expires_at": "2023-12-28T19:06:02Z"
}
}
}
}